NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature. More...
Public Types | |
enum | EndCutTypes { EndCutTypesConnected, EndCutTypesFlangeFree, EndCutTypesSniped } |
Used to specify the type of end cut to be used at the extreme ends of the edge reinforcement system. More... | |
enum | OrientationMethods { OrientationMethodsFaceNormal, OrientationMethodsVector } |
Used to specify the type of reference to use for specifying the orientation of the edge reinforcement system. More... | |
enum | Types { TypesOnEdge, TypesOnFace } |
Used to specify how the edge reinforcement system is defined. More... | |
Public Member Functions | |
NXOpen::Section * | Edges () |
Returns the edges to reinforce. | |
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes | EndCutEnd () |
Returns the end cut to use at the end of the edge reinforcement system. | |
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes | EndCutStart () |
Returns the end cut to use at the start of the edge reinforcement system. | |
NXOpen::Expression * | Offset () |
Returns the offset used for the offset distance from anchor point. | |
NXOpen::Expression * | OrientationAngle () |
Returns the angle to use for the edge reinforcement orientation. | |
NXOpen::Features::ShipDesign::OrientationDefinitionBuilder * | OrientationDefinitionBuilder () |
Returns the builder used to define the orientation for the edge reinforcement system. | |
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods | OrientationMethod () |
Returns the method used to orient the edge reinforcement. | |
NXOpen::Direction * | OrientationVector () |
Returns the orientation vector when the orientation method is Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector . | |
bool | Reverse () |
Returns the indication if the default direction of the flange is reverse or not. | |
void | SetEndCutEnd (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes endCutEnd) |
Sets the end cut to use at the end of the edge reinforcement system. | |
void | SetEndCutStart (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes endCutStart) |
Sets the end cut to use at the start of the edge reinforcement system. | |
void | SetOrientationMethod (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods orientationMethod) |
Sets the method used to orient the edge reinforcement. | |
void | SetOrientationVector (NXOpen::Direction *orientationVector) |
Sets the orientation vector when the orientation method is Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector . | |
void | SetReverse (bool reverse) |
Sets the indication if the default direction of the flange is reverse or not. | |
void | SetType (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types type) |
Sets the type of placement being used in the edge reinforcement definition. | |
NXOpen::Features::ShipDesign::StiffenerStockBuilder * | StockData () |
Returns the stock data used to define the stock information of the edge reinforcement. | |
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types | Type () |
Returns the type of placement being used in the edge reinforcement definition. | |
NXOpen::Weld::CharacteristicsBuilder * | Weld () |
Returns the builder used to specify the welding characteristics for the edge reinforcement. | |
![]() | |
NXOpen::SelectNXObjectList * | Boundary1 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. | |
NXOpen::Plane * | Boundary1Plane () |
Returns the defined plane that will be used to trim the first end of the generated profile system. | |
NXOpen::SelectNXObjectList * | Boundary2 () |
Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. | |
NXOpen::Plane * | Boundary2Plane () |
Returns the defined plane that will be used to trim the second end of the generated profile system. | |
bool | BoundaryReverse () |
Returns the indication if the side of a single boundary should be changed to the other side or not. | |
void | CreatePathCurves (std::vector< NXOpen::NXObject * > &curves) |
Creates path curves for all the paths of the profile system. | |
void | DeleteLastPathCurves () |
Deletes the path curves returned from a call to GetLastPathCurves . | |
void | DeletePathCurves () |
Deletes the path curves created from a call to CreatePathCurves . | |
NXOpen::SelectPointList * | FirstIntersectionPoints () |
Returns the selected intersection points between the curves and the first boundary. | |
void | GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves) |
Gets the path curves used by OrientationDefinitionBuilder . | |
NXOpen::SelectPointList * | SecondIntersectionPoints () |
Returns the selected intersection points between the curves and the second boundary. | |
void | SetBoundary1Plane (NXOpen::Plane *boundary1Plane) |
Sets the defined plane that will be used to trim the first end of the generated profile system. | |
void | SetBoundary2Plane (NXOpen::Plane *boundary2Plane) |
Sets the defined plane that will be used to trim the second end of the generated profile system. | |
void | SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points) |
Sets the selected intersection points for the first boundary. | |
void | SetBoundaryReverse (bool boundaryReverse) |
Sets the indication if the side of a single boundary should be changed to the other side or not. | |
void | SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points) |
Set the selected intersection points for the second boundary. | |
![]() | |
double | AngleTolerance () |
Returns the tolerance, in degrees, used to determine when angles are zero. | |
NXOpen::Features::ShipDesign::PlaneListBuilder * | CreatePlaneForList () |
Create a Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. | |
double | DistanceTolerance () |
Returns the tolerance used to determine when distances are considered zero. | |
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes | OrientationAngleRule () |
Returns the angle rule to use when measuring angles. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the tolerance, in degrees, used to determine when angles are zero. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the tolerance used to determine when distances are considered zero. | |
void | SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule) |
Sets the angle rule to use when measuring angles. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature.
<br> To create a new instance of this class, use @link Features::ShipCollection::CreateEdgeReinforcementBuilder Features::ShipCollection::CreateEdgeReinforcementBuilder @endlink <br>
Default values.
Property | Value |
---|---|
EndCutEnd |
Connected |
EndCutStart |
Connected |
OrientationAngle.Value |
0 |
NormaltoCurve | |
0 | |
0 | |
0 | |
OrientationMethod |
FaceNormal |
StockData.AnchorPoint |
0 |
StockData.PlateHeight.Value |
50 (millimeters part), 2 (inches part) |
StockData.PlateStockData.KnuckleRatio |
3.0 |
StockData.PlateStockData.KnuckleSmoothAngle |
3.0 |
StockData.PlateStockData.MaterialOption |
0 |
StockData.PlateStockData.OppositeThickness.Value |
0 (millimeters part), 0 (inches part) |
StockData.PlateStockData.RestrictThicknessToMaterial |
true |
StockData.PlateStockData.ThickenOption |
SingleSided |
StockData.PlateStockData.Thickness.Value |
10 (millimeters part), 0.5 (inches part) |
StockData.PlateStockData.ThicknessSourceOption |
List |
StockData.SectionType |
Created in NX8.0.0.
NXOpen::Section* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Edges | ( | ) |
Returns the edges to reinforce.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutEnd | ( | ) |
Returns the end cut to use at the end of the edge reinforcement system.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutStart | ( | ) |
Returns the end cut to use at the start of the edge reinforcement system.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Offset | ( | ) |
Returns the offset used for the offset distance from anchor point.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationAngle | ( | ) |
Returns the angle to use for the edge reinforcement orientation.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::OrientationDefinitionBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationDefinitionBuilder | ( | ) |
Returns the builder used to define the orientation for the edge reinforcement system.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethod | ( | ) |
Returns the method used to orient the edge reinforcement.
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationVector | ( | ) |
Returns the orientation vector when the orientation method is Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector .
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Reverse | ( | ) |
Returns the indication if the default direction of the flange is reverse or not.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetEndCutEnd | ( | NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes | endCutEnd | ) |
Sets the end cut to use at the end of the edge reinforcement system.
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
endCutEnd | endcutend |
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetEndCutStart | ( | NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes | endCutStart | ) |
Sets the end cut to use at the start of the edge reinforcement system.
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
endCutStart | endcutstart |
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetOrientationMethod | ( | NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods | orientationMethod | ) |
Sets the method used to orient the edge reinforcement.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
orientationMethod | orientationmethod |
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetOrientationVector | ( | NXOpen::Direction * | orientationVector | ) |
Sets the orientation vector when the orientation method is Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector .
Created in NX8.5.0.
License requirements : nx_ship_basic ("Ship Basic Design")
orientationVector | orientationvector |
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetReverse | ( | bool | reverse | ) |
Sets the indication if the default direction of the flange is reverse or not.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
reverse | reverse |
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetType | ( | NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types | type | ) |
Sets the type of placement being used in the edge reinforcement definition.
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
type | type |
NXOpen::Features::ShipDesign::StiffenerStockBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::StockData | ( | ) |
Returns the stock data used to define the stock information of the edge reinforcement.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Type | ( | ) |
Returns the type of placement being used in the edge reinforcement definition.
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Weld | ( | ) |
Returns the builder used to specify the welding characteristics for the edge reinforcement.
Created in NX8.0.0.
License requirements : None